Subject: Re: History PayPal
From: "Mike" <[email-masked]>
To: "Lynch, David" <[email-masked]>
Date: Tue, 19 Feb 2008 13:22:45 -0500

Got it!  Thank you for clarifying.
Mike - LLPS
  ----- Original Message ----- 
  From: Lynch, David 
  To: Mike 
  Sent: Tuesday, February 19, 2008 12:22 PM
  Subject: RE: History PayPal

  The good charge for card ending in 3248 would be EUGP1F3F3791.  

   

  David Lynch

  Enterprise Account Management

  PayPal - The safer, easier way to pay online

  12312 Port Grace Blvd, La Vista, NE 98128

  Direct  402 952 8848  |  Cell  402 253 5570

  Skype  dvdlynch  |  Fax  402 537 5790  

   

------------------------------------------------------------------------------

  From: Mike [mailto:[email-masked]] 
  Sent: Tuesday, February 19, 2008 11:18 AM
  To: Lynch, David
  Subject: Re: History PayPal

  So if I read this correctly I need to have our system reflect the "Good" trans ID as EUHP1F3F3773  and the extra charge to be credited as EXJP1FA169CB  Is this correct? 

  Thank you, 

  Mike - LLPS

  ----- Original Message ----- 

    From: Lynch, David 

    To: Mike 

    Sent: Tuesday, February 19, 2008 11:05 AM

    Subject: RE: History PayPal

    Mike,

    I am glad you wanted me to elaborate; I discovered a reporting anomaly that is related to Timeout Errors.  104's.  

    Here is a snapshot of the transaction that happened at that time.  

          EUJP1F3F35F7 
         01-28-2008 07:15:50 
         Sale 
         104 
          
         1 
         Visa 
         4828XXXXXXXX8023 
         1211 
         USD 67.25 

         Timeout waiting for Processor 
         W 
         3.07 

         
          EUJP1F3F3610 
         01-28-2008 07:15:55 
         Sale 
         104 
          
         1 
         Visa 
         4635XXXXXXXX3248 
         0611 
         USD 67.25 

         Timeout waiting for Processor 
         W 
         3.07 

         
          EXJP1FA169CB 
         01-28-2008 07:17:03 
         Sale 
         0 
          
         8 
         PayPal 

         USD 67.25 

         Approved 
          
         0.00 

         
          EUHP1F3F3773 
         01-28-2008 07:17:12 
         Sale 
         0 
          
         8 
         Visa 
         4828XXXXXXXX8023 
         1211 
         USD 67.25 

         Approved 
         W 
         3.07 

         
          EUGP1F3F3791 
         01-28-2008 07:17:19 
         Sale 
         0 
          
         8 
         Visa 
         4635XXXXXXXX3248 
         0611 
         USD 67.25 

          

          

     

    The two different Card involved in the 104 Errors look to the user like a failed transaction, but some of these actually pass through and are listed as a PayPal Transaction.  

    Transaction EUJP1F3F35F7 was a timeout that failed, and was re-entered by the user successfully, but transaction EUJP1F3F3610  actually passed.  The sale for EUJP1F3F3610 is in EXJP1FA169CB and has to be refunded from there.  

    This would happen with all processors, but with PayPal the Credit Card type gets changed to PayPal and eliminates the CC # which causes the confusion.  

    There are two suggestions my Technician gave me this morning:

      1.. Change your timeout from 30 seconds to 120 seconds-this would be in the API Calls (coding) 
      2.. Search for 104 Errors to ensure that if these do occur they are not followed by a PayPal, if they are the transaction actually passed.  

    I know that our engineers will look for a coding fix, but this may not happen until the next code push-this could be 60 days.  

    David Lynch

    Enterprise Account Management

    PayPal - The safer, easier way to pay online

    12312 Port Grace Blvd, La Vista, NE 98128

    Direct  402 952 8848  |  Cell  402 253 5570

    Skype  dvdlynch  |  Fax  402 537 5790  

     

----------------------------------------------------------------------------

    From: Mike [mailto:[email-masked]] 
    Sent: Tuesday, February 19, 2008 9:19 AM
    To: Lynch, David
    Subject: Re: History PayPal

    Ok.  I still need help on this.  We have some discrepancies with the Trans IDs being referenced.  I have the original 2 which are:

    EUJP1F3F3610 & EUGP1F3F3791.  Is the Trans you just gave me replacing one the original trans IDs?  I am not sure what to show in our system as the "good" (used) trans ID and the one we are crediting.  Can you make this a little more plain for me?  I need to know which trans ID my system should record (keep) for the trans that we are not refunding and which ID the new trans you gave me is replacing.  I will have our IT person update our database so we can find it if we ever have to search things out.  Thank you for your help.

      ----- Original Message ----- 

      From: Lynch, David 

      To: Mike 

      Sent: Tuesday, February 19, 2008 8:33 AM

      Subject: RE: History PayPal

      Mike, Try to refund this one from your side.  EXJP1FA169CB.  This should do it. 

       

      David Lynch

      Enterprise Account Management

      PayPal - The safer, easier way to pay online

      12312 Port Grace Blvd, La Vista, NE 98128

      Direct  402 952 8848  |  Cell  402 253 5570

      Skype  dvdlynch  |  Fax  402 537 5790  

       

--------------------------------------------------------------------------

      From: Mike [mailto:[email-masked]] 
      Sent: Monday, February 18, 2008 8:57 AM
      To: Lynch, David
      Subject: Re: History PayPal

      Did you find anything out about this yet?

        ----- Original Message ----- 

        From: Lynch, David 

        To: Mike 

        Sent: Tuesday, February 12, 2008 4:27 PM

        Subject: RE: History PayPal

        Just a PP ID.  I am going to investigate how to get this done in Manager also.  

         

        David Lynch

        Enterprise Account Management

        PayPal - The safer, easier way to pay online

        12312 Port Grace Blvd, La Vista, NE 98128

        Direct  402 952 8848  |  Cell  402 253 5570

        Skype  dvdlynch  |  Fax  402 537 5790  

         

------------------------------------------------------------------------

        From: Mike [mailto:[email-masked]] 
        Sent: Tuesday, February 12, 2008 10:41 AM
        To: Lynch, David
        Subject: Re: History PayPal

        Do you get a Verisign trans ID if you do a refund or just PayPal #'s?

          ----- Original Message ----- 

          From: Lynch, David 

          To: Mike 

          Sent: Tuesday, February 12, 2008 11:35 AM

          Subject: RE: History PayPal

          I may have to refund it if they both error out.  I cannot tell you why this is happening, I was only provided with the work around of manually refunding myself.  What can I provide you for your records if I perform this?  

           

          David Lynch

          Enterprise Account Management

          PayPal - The safer, easier way to pay online

          12312 Port Grace Blvd, La Vista, NE 98128

          Direct  402 952 8848  |  Cell  402 253 5570

          Skype  dvdlynch  |  Fax  402 537 5790  

           

----------------------------------------------------------------------

          From: Mike [mailto:[email-masked]] 
          Sent: Tuesday, February 12, 2008 10:28 AM
          To: Lynch, David
          Subject: Re: History PayPal

          Is there a "new" ID trans # for our system that I can credit?  (The transaction #'s you provided are not the usual "Verisign" trans IDs we record).  I attempted to credit back Trans # EUJP1F3F3610 which you said we were paid on and received the following response:

          _________________________________________________________

          Perform Transaction -- Result 

----------------------------------------------------------------------

          Your transaction has been submitted. Details about the transaction are displayed below.

                Transaction Information
               
                Result Code:
               105
               
                Response Message:
               Credit error: EUJP1F3F3610 is a failed transaction

----------------------------------------------------------------

               
                Transaction ID:
               EXHP2A11F38F

          __________________________________________________________

           

           

          ----- Original Message ----- 

            From: Lynch, David 

            To: Mike 

            Sent: Tuesday, February 12, 2008 10:26 AM

            Subject: RE: History PayPal

            The transaction ending in 3610 posted to PayPal at 9.16.56-Time Zone Time difference from 7.15 am.  The one minute delay is the 57 seconds that it took to complete the time out, and the processing time when the system did approve. 

            The transaction ending 3791 posted at 9.17.21-Time zone difference from 7.17 am.  This is the duplicate.  Both transactions are for $67.25.  Hope this helps. 

             

            David Lynch

            Enterprise Account Management

            PayPal - The safer, easier way to pay online

            12312 Port Grace Blvd, La Vista, NE 98128

            Direct  402 952 8848  |  Cell  402 253 5570

            Skype  dvdlynch  |  Fax  402 537 5790  

             

--------------------------------------------------------------------

            From: Mike [mailto:[email-masked]] 
            Sent: Tuesday, February 12, 2008 9:16 AM
            To: Lynch, David
            Subject: Re: History PayPal

            David,

            None of these transactions line up with either of the 2 transactions I have (including the times).  Can you tell me which of these refer to:

            EUJP1F3F3610

            EUGP1F3F3791

            Thank you,

            Mike - LLPS

              ----- Original Message ----- 

              From: Lynch, David 

              To: Mike 

              Sent: Tuesday, February 12, 2008 9:55 AM

              Subject: History PayPal

                      
                   2KY460491U499394G 
                    (19148583622, 4KP2235PD2TEE) 
                    (Parent) 
                   ...   
                   Web Accept Payment Received (no account) 
                   From 
                   Not provided 
                   13N01223B36269919@  
                   Jan. 28, 2008 09:17:21 CST 
                    Completed 
                   $67.25 USD 
                   -$1.63 USD 
                   $65.62 USD 
                   $2,561.77 USD 

                   7WT08725NT041831A 
                    (19148581844, 4KP2235PD2PXA) 
                   ...   
                   Payment Fee 
                   ... 
                   ... 
                   ... 
                   Jan. 28, 2008 09:17:14 CST 
                    Completed 
                   -$1.63 USD 
                   $0.00 USD 
                   -$1.63 USD 
                   $2,494.52 USD 

                   2SV902524U651974N 
                    (19148581843, 4KP2235PD2PX8) 
                    (Parent) 
                   ...   
                   Web Accept Payment Received (no account) 
                   From 
                   Not provided 
                   N/A
                   Jan. 28, 2008 09:17:14 CST 
                    Completed 
                   $67.25 USD 
                   -$1.63 USD 
                   $65.62 USD 
                   $2,496.15 USD 

                   8F226487CV438611Y 
                    (19148576597, 4KP2235PD2DPC) 
                   ...   
                   Payment Fee 
                   ... 
                   ... 
                   ... 
                   Jan. 28, 2008 09:16:56 CST 
                    Completed 
                   -$1.63 USD 
                   $0.00 USD 
                   -$1.63 USD 
                   $2,428.90 USD 

                   30R48309BS439901K 
                    (19148576596, 4KP2235PD2DPA) 
                    (Parent) 
                   ...   
                   Web Accept Payment Received (no account) 
                   From 
                   Not provided 
                   13N01223B36269919@  
                   Jan. 28, 2008 09:16:56 CST 
                    Completed 
                   $67.25 USD 
                   -$1.63 USD 
                   $65.62 USD 
                   $2,430.53 USD 

               

              Mike,  Above I was able to copy a brief part of the days history that contains both of the transaction and how they affected your balance positively.  The same Credit Card is designated by the 13N01223B36269919@

               

              David Lynch

              Enterprise Account Management

              PayPal - The safer, easier way to pay online

              12312 Port Grace Blvd, La Vista, NE 98128

              Direct  402 952 8848  |  Cell  402 253 5570

              Skype  dvdlynch  |  Fax  402 537 5790